const fs = require('fs');
const elasticlunr = require('elasticlunr');

const start = process.hrtime();

const elapsed = (msg) => {
    let now = process.hrtime(start);
    console.info('[ %ds %dms elapsed ] %s', now[0], now[1] / 1000000, msg)
};

const inputFile = '../sample2.json';
//const inputFile = 'elasticlunr-wiki-index.json';

elapsed('reading file ...');
let rawData = fs.readFileSync(inputFile);
elapsed('parsing json ...');
let indexData = JSON.parse(rawData);
elapsed('indexData.length = ' + indexData.length);
